Bug 52570 - [generator] warn when [Static] is used in a [Category]
Summary: [generator] warn when [Static] is used in a [Category]
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Tools (show other bugs)
Version: XI 10.5.99 (Xcode 8.3 previews)
Hardware: PC Mac OS
: --- normal
Target Milestone: Future Cycle (TBD)
Assignee: Alex Soto [MSFT]
URL:
Depends on:
Blocks:
 
Reported: 2017-02-16 15:55 UTC by Sebastien Pouliot
Modified: 2017-03-14 21:26 UTC (History)
1 user (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description Sebastien Pouliot 2017-02-16 15:55:30 UTC
[Category] creates a type exposing extension methods. That makes binding static selectors incorrect, by default.
Comment 1 Sebastien Pouliot 2017-02-16 16:03:31 UTC
Let's make it a warning (not to break existing customer bindings, even if incorrect) and use `warnaserror` [1] inside our own Makefile.

[1] https://bugzilla.xamarin.com/show_bug.cgi?id=52573
Comment 2 Alex Soto [MSFT] 2017-02-16 16:21:27 UTC
Reminder for me, add docs about (null as foo) in the binding documentation.
Comment 3 Alex Soto [MSFT] 2017-03-11 23:45:14 UTC
https://github.com/xamarin/xamarin-macios/pull/1862
Comment 4 Alex Soto [MSFT] 2017-03-14 21:26:53 UTC
Fixed in xamarin-macios/master @ 78052430ab443c64efe2fc6f1c9e237f1ceebdd2